Hi Andreas,
sorry for the delay!
yes, it works fine for me.
please go ahead and push it to 2015.2.1.
thanks,
Guilherme



2015-11-05 4:49 GMT-02:00 Andreas Kloeckner <lists@informa.tiker.net>:
Guilherme Gonçalves Ferrari <gg.ferrari@gmail.com> writes:

> Hi,
> I just updated to 2015.2 version and got this error when trying to run my
> code:
>
> Traceback (most recent call last):
> ...
>   File
> "/home/guilherme/Modelos/python/conda/miniconda/envs/py27/lib/python2.7/site-packages/pyopencl/cffi_cl.py",
> line 1191, in enqueue_nd_range_kernel
>     raise NotImplementedError("global_work_offset")
> NotImplementedError: global_work_offset
>
> would it be possible to fix this in the next release? For now, I'm going to
> downgrade to 2015.1, which works fine...

Thanks for the report! Should be fixed in git. Could you try that and
let me know if it works for you? If so, I'll push out 2015.1.1.

Andreas